ramesh9 Acclaimed Contributor.
Acclaimed Contributor.
1359 views

OA agent 12.06

OMI 10.62

We are planning to install OA 12.06 on few servers which will be managed by OMI 10.62

OMI agents are of version 12.04.006.

Is this compatible or in other words OA 12.06 can work with OMI with agent version 12.04

I am not able to extract this information from SUMA nor OA install guide.

Please advise.

0 Likes
11 Replies
Acclaimed Contributor.. KAKA_2 Acclaimed Contributor..
Acclaimed Contributor..

Re: OA agent 12.06

backward compatibility is not an issue.  -KAKA-

0 Likes
ramesh9 Acclaimed Contributor.
Acclaimed Contributor.

Re: OA agent 12.06

Dears

If I understand correctly there was an procedure to install OA on OMI server and merge the binaries and deploy it to managed node.

Does anyone have the procedure please.

0 Likes
Outstanding Contributor.. andreask Outstanding Contributor..
Outstanding Contributor..

Re: OA agent 12.06

Usually its not recommended to manage Agents with higher version with an Agent of a lower version. Means if you run Omi 10.63 with Agent 12.04 and like to manage Agents 12.06 with it the recommended way is to upgrade the Agent on the Omi Server first to 12.06 te Agents in your environment.hen th Anyway, in my personal experience this should not be an issue to leave the Agent on the Omi server with 12.04 and upgrade Agents that are managed by this one to 12.06. But i cant guarantee you if MF Support has the same opinion like me. I do such stuff regularly for testing new Agent versions never got any issues there.
0 Likes
Micro Focus Expert
Micro Focus Expert

Re: OA agent 12.06

It is generally good practice to upgrade the agent on the OBM servers, but it is only strictly required in some instances, such as when the deployment of the agent depends on new features built into the latest OA version.

This is probably a good opportunity to highlight that the latest OA release, version 12.10, should NOT currently be installed on the OBM/OMi servers, NNM, OpsCx or Cloud Optimizer at this point of time. This is a unique situation resulting from major changes in OA 12.10 for which OBM and other products have yet to be adapted. Always check the latest Support Matrix (SUMA) at https://softwaresupport.softwaregrp.com/km/KM323488. We are also planning an OA compatibility tool to help confirm that OA 12.10 can be installed on a server. This tool will be adapted over time as products are made compatible with OA 12.10.

Regards,
Thierry.

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
Mel Farber Honored Contributor.
Honored Contributor.

Re: OA agent 12.06

Rotax,

It sure is a good opportunity.  Why release a new agent, when even OBM/OMi/NNM servers cannot use it?  Why not wait?

I looked at the latest SUMA, but I never have been able to track things there.  I looked at both the agent and server lists.  The best I could find was that OBM could distribute 12.0X.

 

Mel

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: OA agent 12.06

Mel,

I did not say that OBM cannot use it.
Obviously an OA 12.10 agent can report to OBM, but for now, it should not be installed on the OBM server itself.

As for SUMA, I acknowledge that it requires some effort to understand it. That's where the compatibility tool will help.

Regards,
Thierry.

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
0 Likes
Mel Farber Honored Contributor.
Honored Contributor.

Re: OA agent 12.06

Rotax,

I apologize for the misunderstanding.  I have NNM and that seems to be a no-no as well.  I checked the What's new in the 12.10 agent and it didn't imply any major changes to impact implications.  I probably would not have upgraded my management servers (actually I never do - too afraid), but I might have upgraded my NNM agents.

On another topci, since you are an expert on the agents, can you perhaps check what port the OBM server responds to certificate requests.  My testing with tcpdump show OBM responding to the port of the request and not port 383.  Can you run a test?  With firewalls at the site limiting comms this is a big problem.  MY OBM is 10.70 and the agent was 12.06.

Thanks,

Mel

0 Likes
Micro Focus Expert
Micro Focus Expert

Re: OA agent 12.06

Hello Mel,

Good point about the "what's new section". This is probably one of the first sections of the manuals that customers will check, so it would make sense to make a note here. I will feed back this suggestion.

For now, there is this note on the front page of the release notes at https://docs.microfocus.com/itom/Operations_Agent:12.10/release_notes/Release_Notes_12.00:

Important: Operations Agent 12.10 is not compatible with all the server components, to understand the impact of upgrading or installing Operations Agent 12.10 in your environment, see Co-existence with Operations Agent 12.1x.

The upgrade section of the release notes provides detailed compatibility information.

Regarding the certificate problem, as far as I understand the internals, the request will be sent by process ovbbccb using a random port (unless a client port has been configured) to the BBC port of the GW (383 by default) and the connection is then closed. When the certificate is granted, it will be sent to the agent's BBC port (383 by default). I'm not sure to understand to which port you refer when you say "the port of the request". Maybe I did not understand your question.

Regards,
Thierry.

 

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
Outstanding Contributor.. andreask Outstanding Contributor..
Outstanding Contributor..

Re: OA agent 12.06

@Thierry may be this will helpful to add to the release notes of 12.10. found nothing about this there. next is that MF Support tells you to upgrade to latest version and try again in hope your issue is gone. my customers stay at 12.05 anyway. they learned their lesson about updates.
Micro Focus Expert
Micro Focus Expert

Re: OA agent 12.06

Hello Andreas,

I agree with you on both points.
For the release notes, I have provided the feedback internally. The info is in fact in the release notes, but obviously we can do a better job to make it more visible and clear.

Regards,
Thierry.

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
0 Likes
Highlighted
Micro Focus Expert
Micro Focus Expert

Re: OA agent 12.06

The Operations Agent 12.10 compatibility tool is now available on marketplace:

https://marketplace.microfocus.com/itom/content/operations-agent-compatibility-check-tool

This tool should be run on Linux and Windows servers before upgrading to OA 12.10 to verify if OA 12.10 is compatible with following products if they are running on the same server:

  • Operations Bridge Manager (OBM)
  • Operations Bridge Reporter (OBR)
  • Network Node Manager i (NNMi)
  • Operations Connector (OpsCx)
  • Cloud Optimizer (CO)

The same information can be found in the Support Matrix (SUMA) but the tool automates the verifications and avoids the risks of wrong interpretation of SUMA. For reminder SUMA is available at:

https://softwaresupport.softwaregrp.com/doc/KM323488

Both the compatibility tool and the Support Matrix will be updated as products are made compatible.  It is important to check in regularly to download the latest versions (note: this is also the reason why the compatibility tool is not part of the OA 12.10 installation bits).

Note that the tool only checks for compatibility with above mentioned products. If none of these products are installed on the server where OA 12.10 is planned to be installed, then it is not necessary to run the tool. One should still check SUMA for other supportability information, such as supported platforms and integrations.

To run the tool, download the zip file from marketplace and unzip on the server in a temporary folder. Then run the tool, e.g.:

Linux:

# /opt/OV/nonOV/perl/a/bin/perl OA_Compatibility_Check_Tool.pl

Windows :

> "%OvInstallDir%\nonOV\perl\a\bin\perl" OA_Compatibility_Check_Tool.pl

Here an example of the tool output running on OMi 10.63, which is not compatible with OA 12.10:

The version of Operations Bridge Manager installed on the system omil703 does NOT support Operations Agent upgrade to 12.10. DO NOT UPGRADE to Operations Agent 12.10!!

Regards,
Thierry.

 

 

If you find that this or any post resolves your issue, please be sure to mark it as an accepted solution.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.